Bug 254601 - system-config-kickstart shows rawhide packages available when development.repo is disabled
system-config-kickstart shows rawhide packages available when development.rep...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-25 21:58 EDT by Brendan Ross
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.7.7.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 18:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the "Optional Packages" for system-config-kickstart (66.74 KB, image/png)
2007-08-25 21:58 EDT, Brendan Ross
no flags Details
fedora.repo (1.07 KB, text/plain)
2007-08-28 05:46 EDT, Brendan Ross
no flags Details
fedora-development.repo (1.50 KB, text/plain)
2007-08-28 05:47 EDT, Brendan Ross
no flags Details
fedora-updates.repo (1006 bytes, text/plain)
2007-08-28 05:48 EDT, Brendan Ross
no flags Details
fedora-updates-testing.repo (1.06 KB, text/plain)
2007-08-28 05:48 EDT, Brendan Ross
no flags Details

  None (edit)
Description Brendan Ross 2007-08-25 21:58:02 EDT
Description of problem:
kickstart will load packages from the rawhide/development repo even if it is
disabled in /etc/yum.repos.d/development*.repo

Version-Release number of selected component (if applicable):
system-config-kickstart-2.7.7-1.fc7

How reproducible:
every time.

Steps to Reproduce:
1.install system-config-kickstart
2.open it and select any major packages from the package list
3.click the "Optional Packages" button and view the RPM names.
you will see "fc8" in the name.
  
Actual results:
i saw "fc8" packages listed with higher versions than available through yum with
development.repo disabled

Expected results:
you should see rawhide packages listed instead of what is configured in
/etc/yum.repos.d/

Additional info:
seeing as how this is a graphical application i have uploaded a screenshot of
the kickstart window. see the attachment.
Comment 1 Brendan Ross 2007-08-25 21:58:02 EDT
Created attachment 172741 [details]
screenshot of the "Optional Packages" for system-config-kickstart
Comment 2 Chris Lumens 2007-08-27 16:22:29 EDT
What repos do you have enabled?  If possible, please attach the repo.conf files
to this bug report so I can see exactly what's going on.  Thanks.
Comment 3 Brendan Ross 2007-08-28 05:46:39 EDT
Created attachment 175681 [details]
fedora.repo
Comment 4 Brendan Ross 2007-08-28 05:47:31 EDT
Created attachment 175721 [details]
fedora-development.repo
Comment 5 Brendan Ross 2007-08-28 05:48:09 EDT
Created attachment 175761 [details]
fedora-updates.repo
Comment 6 Brendan Ross 2007-08-28 05:48:50 EDT
Created attachment 175781 [details]
fedora-updates-testing.repo
Comment 7 Fedora Update System 2007-08-29 13:27:05 EDT
system-config-kickstart-2.7.7.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Brendan Ross 2007-09-02 14:26:36 EDT
this bug can no longer be reproduced using the rpm from testing, version:
system-config-kickstart-2.7.7.1-1.fc7.
Comment 9 Fedora Update System 2007-09-04 18:13:46 EDT
system-config-kickstart-2.7.7.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.